#define vl_endianfun		/* define message structures */
#include "pnat.api.h"
#undef vl_endianfun

/* instantiate all the print functions we know about */
#define vl_print(handle, ...) vlib_cli_output (handle, __VA_ARGS__)
#define vl_printfun
#include "pnat.api.h"
#undef vl_printfun

static u16
setup_message_id_table (void) {
   api_main_t *am = my_api_main;
   vl_msg_api_msg_config_t c;
   u16 msg_id_base = vl_msg_api_get_msg_ids ("pnat_1a738ea9", VL_MSG_PNAT_LAST);
   vl_msg_api_add_msg_name_crc (am, "pnat_binding_add_f00f79aa",
                                VL_API_PNAT_BINDING_ADD + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "pnat_binding_add_reply_4cd980a7",
                                VL_API_PNAT_BINDING_ADD_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "pnat_binding_del_9259df7b",
                                VL_API_PNAT_BINDING_DEL + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "pnat_binding_del_reply_e8d4e804",
                                VL_API_PNAT_BINDING_DEL_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "pnat_binding_attach_6e074232",
                                VL_API_PNAT_BINDING_ATTACH + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "pnat_binding_attach_reply_e8d4e804",
                                VL_API_PNAT_BINDING_ATTACH_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "pnat_binding_detach_6e074232",
                                VL_API_PNAT_BINDING_DETACH + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "pnat_binding_detach_reply_e8d4e804",
                                VL_API_PNAT_BINDING_DETACH_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "pnat_bindings_get_f75ba505",
                                VL_API_PNAT_BINDINGS_GET + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "pnat_bindings_get_reply_53b48f5d",
                                VL_API_PNAT_BINDINGS_GET_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "pnat_bindings_details_78267a35",
                                VL_API_PNAT_BINDINGS_DETAILS + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "pnat_interfaces_get_f75ba505",
                                VL_API_PNAT_INTERFACES_GET + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "pnat_interfaces_get_reply_53b48f5d",
                                VL_API_PNAT_INTERFACES_GET_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "pnat_interfaces_details_c7b0c4c0",
                                VL_API_PNAT_INTERFACES_DETAILS + msg_id_base);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_PNAT_BINDINGS_GET + msg_id_base,
   .name = "pnat_bindings_get",
   .handler = vl_api_pnat_bindings_get_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_pnat_bindings_get_t_endian,
   .print = vl_api_pnat_bindings_get_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_PNAT_BINDINGS_GET_REPLY + msg_id_base,
  .name = "pnat_bindings_get_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_pnat_bindings_get_reply_t_endian,
  .print = vl_api_pnat_bindings_get_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_PNAT_INTERFACES_GET + msg_id_base,
   .name = "pnat_interfaces_get",
   .handler = vl_api_pnat_interfaces_get_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_pnat_interfaces_get_t_endian,
   .print = vl_api_pnat_interfaces_get_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_PNAT_INTERFACES_GET_REPLY + msg_id_base,
  .name = "pnat_interfaces_get_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_pnat_interfaces_get_reply_t_endian,
  .print = vl_api_pnat_interfaces_get_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_PNAT_BINDING_ADD + msg_id_base,
   .name = "pnat_binding_add",
   .handler = vl_api_pnat_binding_add_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_pnat_binding_add_t_endian,
   .print = vl_api_pnat_binding_add_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 1};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_PNAT_BINDING_ADD_REPLY + msg_id_base,
  .name = "pnat_binding_add_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_pnat_binding_add_reply_t_endian,
  .print = vl_api_pnat_binding_add_reply_t_print,
  .is_autoendian = 1};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_PNAT_BINDING_DEL + msg_id_base,
   .name = "pnat_binding_del",
   .handler = vl_api_pnat_binding_del_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_pnat_binding_del_t_endian,
   .print = vl_api_pnat_binding_del_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 1};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_PNAT_BINDING_DEL_REPLY + msg_id_base,
  .name = "pnat_binding_del_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_pnat_binding_del_reply_t_endian,
  .print = vl_api_pnat_binding_del_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_PNAT_BINDING_ATTACH + msg_id_base,
   .name = "pnat_binding_attach",
   .handler = vl_api_pnat_binding_attach_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_pnat_binding_attach_t_endian,
   .print = vl_api_pnat_binding_attach_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 1};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_PNAT_BINDING_ATTACH_REPLY + msg_id_base,
  .name = "pnat_binding_attach_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_pnat_binding_attach_reply_t_endian,
  .print = vl_api_pnat_binding_attach_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_PNAT_BINDING_DETACH + msg_id_base,
   .name = "pnat_binding_detach",
   .handler = vl_api_pnat_binding_detach_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_pnat_binding_detach_t_endian,
   .print = vl_api_pnat_binding_detach_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 1};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_PNAT_BINDING_DETACH_REPLY + msg_id_base,
  .name = "pnat_binding_detach_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_pnat_binding_detach_reply_t_endian,
  .print = vl_api_pnat_binding_detach_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   return msg_id_base;
}
vlib_error_desc_t pnat_error_counters[] = {
  {
   .name = "none",
   .desc = "successfully rewritten",
   .severity = VL_COUNTER_SEVERITY_INFO,
  },
  {
   .name = "rewrite",
   .desc = "rewrite failed",
   .severity = VL_COUNTER_SEVERITY_ERROR,
  },
  {
   .name = "tooshort",
   .desc = "packet too short for rewrite",
   .severity = VL_COUNTER_SEVERITY_INFO,
  },
};
