#define vl_endianfun		/* define message structures */
#include "vrrp.api.h"
#undef vl_endianfun

/* instantiate all the print functions we know about */
#define vl_print(handle, ...) vlib_cli_output (handle, __VA_ARGS__)
#define vl_printfun
#include "vrrp.api.h"
#undef vl_printfun

static u16
setup_message_id_table (void) {
   api_main_t *am = my_api_main;
   vl_msg_api_msg_config_t c;
   u16 msg_id_base = vl_msg_api_get_msg_ids ("vrrp_5ae0c30a", VL_MSG_VRRP_LAST);
   vl_msg_api_add_msg_name_crc (am, "vrrp_vr_add_del_c5cf15aa",
                                VL_API_VRRP_VR_ADD_DEL + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "vrrp_vr_add_del_reply_e8d4e804",
                                VL_API_VRRP_VR_ADD_DEL_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "vrrp_vr_dump_f9e6675e",
                                VL_API_VRRP_VR_DUMP + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "vrrp_vr_details_46edcebd",
                                VL_API_VRRP_VR_DETAILS + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "vrrp_vr_start_stop_0662a3b7",
                                VL_API_VRRP_VR_START_STOP + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "vrrp_vr_start_stop_reply_e8d4e804",
                                VL_API_VRRP_VR_START_STOP_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "vrrp_vr_set_peers_20bec71f",
                                VL_API_VRRP_VR_SET_PEERS + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "vrrp_vr_set_peers_reply_e8d4e804",
                                VL_API_VRRP_VR_SET_PEERS_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "vrrp_vr_peer_dump_6fa3f7c4",
                                VL_API_VRRP_VR_PEER_DUMP + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "vrrp_vr_peer_details_3d99c108",
                                VL_API_VRRP_VR_PEER_DETAILS + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "vrrp_vr_track_if_add_del_d67df299",
                                VL_API_VRRP_VR_TRACK_IF_ADD_DEL + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "vrrp_vr_track_if_add_del_reply_e8d4e804",
                                VL_API_VRRP_VR_TRACK_IF_ADD_DEL_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "vrrp_vr_track_if_dump_a34dfc6d",
                                VL_API_VRRP_VR_TRACK_IF_DUMP + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "vrrp_vr_track_if_details_73c36f81",
                                VL_API_VRRP_VR_TRACK_IF_DETAILS + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "vrrp_vr_event_c1fea6a5",
                                VL_API_VRRP_VR_EVENT + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "want_vrrp_vr_events_c5e2af94",
                                VL_API_WANT_VRRP_VR_EVENTS + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "want_vrrp_vr_events_reply_e8d4e804",
                                VL_API_WANT_VRRP_VR_EVENTS_REPLY + msg_id_base);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_WANT_VRRP_VR_EVENTS + msg_id_base,
   .name = "want_vrrp_vr_events",
   .handler = vl_api_want_vrrp_vr_events_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_want_vrrp_vr_events_t_endian,
   .print = vl_api_want_vrrp_vr_events_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_WANT_VRRP_VR_EVENTS_REPLY + msg_id_base,
  .name = "want_vrrp_vr_events_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_want_vrrp_vr_events_reply_t_endian,
  .print = vl_api_want_vrrp_vr_events_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_VRRP_VR_ADD_DEL + msg_id_base,
   .name = "vrrp_vr_add_del",
   .handler = vl_api_vrrp_vr_add_del_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_vrrp_vr_add_del_t_endian,
   .print = vl_api_vrrp_vr_add_del_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_VRRP_VR_ADD_DEL_REPLY + msg_id_base,
  .name = "vrrp_vr_add_del_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_vrrp_vr_add_del_reply_t_endian,
  .print = vl_api_vrrp_vr_add_del_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_VRRP_VR_DUMP + msg_id_base,
   .name = "vrrp_vr_dump",
   .handler = vl_api_vrrp_vr_dump_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_vrrp_vr_dump_t_endian,
   .print = vl_api_vrrp_vr_dump_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_VRRP_VR_DETAILS + msg_id_base,
  .name = "vrrp_vr_details",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_vrrp_vr_details_t_endian,
  .print = vl_api_vrrp_vr_details_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_VRRP_VR_START_STOP + msg_id_base,
   .name = "vrrp_vr_start_stop",
   .handler = vl_api_vrrp_vr_start_stop_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_vrrp_vr_start_stop_t_endian,
   .print = vl_api_vrrp_vr_start_stop_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_VRRP_VR_START_STOP_REPLY + msg_id_base,
  .name = "vrrp_vr_start_stop_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_vrrp_vr_start_stop_reply_t_endian,
  .print = vl_api_vrrp_vr_start_stop_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_VRRP_VR_SET_PEERS + msg_id_base,
   .name = "vrrp_vr_set_peers",
   .handler = vl_api_vrrp_vr_set_peers_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_vrrp_vr_set_peers_t_endian,
   .print = vl_api_vrrp_vr_set_peers_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_VRRP_VR_SET_PEERS_REPLY + msg_id_base,
  .name = "vrrp_vr_set_peers_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_vrrp_vr_set_peers_reply_t_endian,
  .print = vl_api_vrrp_vr_set_peers_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_VRRP_VR_PEER_DUMP + msg_id_base,
   .name = "vrrp_vr_peer_dump",
   .handler = vl_api_vrrp_vr_peer_dump_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_vrrp_vr_peer_dump_t_endian,
   .print = vl_api_vrrp_vr_peer_dump_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_VRRP_VR_PEER_DETAILS + msg_id_base,
  .name = "vrrp_vr_peer_details",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_vrrp_vr_peer_details_t_endian,
  .print = vl_api_vrrp_vr_peer_details_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_VRRP_VR_TRACK_IF_ADD_DEL + msg_id_base,
   .name = "vrrp_vr_track_if_add_del",
   .handler = vl_api_vrrp_vr_track_if_add_del_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_vrrp_vr_track_if_add_del_t_endian,
   .print = vl_api_vrrp_vr_track_if_add_del_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_VRRP_VR_TRACK_IF_ADD_DEL_REPLY + msg_id_base,
  .name = "vrrp_vr_track_if_add_del_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_vrrp_vr_track_if_add_del_reply_t_endian,
  .print = vl_api_vrrp_vr_track_if_add_del_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_VRRP_VR_TRACK_IF_DUMP + msg_id_base,
   .name = "vrrp_vr_track_if_dump",
   .handler = vl_api_vrrp_vr_track_if_dump_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_vrrp_vr_track_if_dump_t_endian,
   .print = vl_api_vrrp_vr_track_if_dump_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_VRRP_VR_TRACK_IF_DETAILS + msg_id_base,
  .name = "vrrp_vr_track_if_details",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_vrrp_vr_track_if_details_t_endian,
  .print = vl_api_vrrp_vr_track_if_details_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   return msg_id_base;
}
