#define vl_endianfun		/* define message structures */
#include "wireguard.api.h"
#undef vl_endianfun

/* instantiate all the print functions we know about */
#define vl_print(handle, ...) vlib_cli_output (handle, __VA_ARGS__)
#define vl_printfun
#include "wireguard.api.h"
#undef vl_printfun

static u16
setup_message_id_table (void) {
   api_main_t *am = my_api_main;
   vl_msg_api_msg_config_t c;
   u16 msg_id_base = vl_msg_api_get_msg_ids ("wireguard_569a119d", VL_MSG_WIREGUARD_LAST);
   vl_msg_api_add_msg_name_crc (am, "wireguard_interface_create_a530137e",
                                VL_API_WIREGUARD_INTERFACE_CREATE + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "wireguard_interface_create_reply_5383d31f",
                                VL_API_WIREGUARD_INTERFACE_CREATE_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "wireguard_interface_delete_f9e6675e",
                                VL_API_WIREGUARD_INTERFACE_DELETE + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "wireguard_interface_delete_reply_e8d4e804",
                                VL_API_WIREGUARD_INTERFACE_DELETE_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "wireguard_interface_dump_2c954158",
                                VL_API_WIREGUARD_INTERFACE_DUMP + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "wireguard_interface_details_0dd4865d",
                                VL_API_WIREGUARD_INTERFACE_DETAILS + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "wireguard_peer_add_ed792326",
                                VL_API_WIREGUARD_PEER_ADD + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "wireguard_peer_add_reply_084a0cd3",
                                VL_API_WIREGUARD_PEER_ADD_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "wireguard_peer_remove_3b74607a",
                                VL_API_WIREGUARD_PEER_REMOVE + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "wireguard_peer_remove_reply_e8d4e804",
                                VL_API_WIREGUARD_PEER_REMOVE_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "wireguard_peers_dump_51077d14",
                                VL_API_WIREGUARD_PEERS_DUMP + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "wireguard_peers_details_2097f740",
                                VL_API_WIREGUARD_PEERS_DETAILS + msg_id_base);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_WIREGUARD_INTERFACE_CREATE + msg_id_base,
   .name = "wireguard_interface_create",
   .handler = vl_api_wireguard_interface_create_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_wireguard_interface_create_t_endian,
   .print = vl_api_wireguard_interface_create_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_WIREGUARD_INTERFACE_CREATE_REPLY + msg_id_base,
  .name = "wireguard_interface_create_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_wireguard_interface_create_reply_t_endian,
  .print = vl_api_wireguard_interface_create_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_WIREGUARD_INTERFACE_DELETE + msg_id_base,
   .name = "wireguard_interface_delete",
   .handler = vl_api_wireguard_interface_delete_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_wireguard_interface_delete_t_endian,
   .print = vl_api_wireguard_interface_delete_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_WIREGUARD_INTERFACE_DELETE_REPLY + msg_id_base,
  .name = "wireguard_interface_delete_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_wireguard_interface_delete_reply_t_endian,
  .print = vl_api_wireguard_interface_delete_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_WIREGUARD_INTERFACE_DUMP + msg_id_base,
   .name = "wireguard_interface_dump",
   .handler = vl_api_wireguard_interface_dump_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_wireguard_interface_dump_t_endian,
   .print = vl_api_wireguard_interface_dump_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_WIREGUARD_INTERFACE_DETAILS + msg_id_base,
  .name = "wireguard_interface_details",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_wireguard_interface_details_t_endian,
  .print = vl_api_wireguard_interface_details_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_WIREGUARD_PEER_ADD + msg_id_base,
   .name = "wireguard_peer_add",
   .handler = vl_api_wireguard_peer_add_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_wireguard_peer_add_t_endian,
   .print = vl_api_wireguard_peer_add_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_WIREGUARD_PEER_ADD_REPLY + msg_id_base,
  .name = "wireguard_peer_add_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_wireguard_peer_add_reply_t_endian,
  .print = vl_api_wireguard_peer_add_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_WIREGUARD_PEER_REMOVE + msg_id_base,
   .name = "wireguard_peer_remove",
   .handler = vl_api_wireguard_peer_remove_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_wireguard_peer_remove_t_endian,
   .print = vl_api_wireguard_peer_remove_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_WIREGUARD_PEER_REMOVE_REPLY + msg_id_base,
  .name = "wireguard_peer_remove_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_wireguard_peer_remove_reply_t_endian,
  .print = vl_api_wireguard_peer_remove_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_WIREGUARD_PEERS_DUMP + msg_id_base,
   .name = "wireguard_peers_dump",
   .handler = vl_api_wireguard_peers_dump_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_wireguard_peers_dump_t_endian,
   .print = vl_api_wireguard_peers_dump_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_WIREGUARD_PEERS_DETAILS + msg_id_base,
  .name = "wireguard_peers_details",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_wireguard_peers_details_t_endian,
  .print = vl_api_wireguard_peers_details_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   return msg_id_base;
}
