#define vl_endianfun		/* define message structures */
#include "arp.api.h"
#undef vl_endianfun

/* instantiate all the print functions we know about */
#define vl_print(handle, ...) vlib_cli_output (handle, __VA_ARGS__)
#define vl_printfun
#include "arp.api.h"
#undef vl_printfun

static u16
setup_message_id_table (void) {
   api_main_t *am = my_api_main;
   vl_msg_api_msg_config_t c;
   u16 msg_id_base = vl_msg_api_get_msg_ids ("arp_cfdf7292", VL_MSG_ARP_LAST);
   vl_msg_api_add_msg_name_crc (am, "proxy_arp_add_del_1823c3e7",
                                VL_API_PROXY_ARP_ADD_DEL + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "proxy_arp_add_del_reply_e8d4e804",
                                VL_API_PROXY_ARP_ADD_DEL_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "proxy_arp_dump_51077d14",
                                VL_API_PROXY_ARP_DUMP + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "proxy_arp_details_5b948673",
                                VL_API_PROXY_ARP_DETAILS + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "proxy_arp_intfc_enable_disable_ae6cfcfb",
                                VL_API_PROXY_ARP_INTFC_ENABLE_DISABLE + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "proxy_arp_intfc_enable_disable_reply_e8d4e804",
                                VL_API_PROXY_ARP_INTFC_ENABLE_DISABLE_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "proxy_arp_intfc_dump_51077d14",
                                VL_API_PROXY_ARP_INTFC_DUMP + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "proxy_arp_intfc_details_f6458e5f",
                                VL_API_PROXY_ARP_INTFC_DETAILS + msg_id_base);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_PROXY_ARP_ADD_DEL + msg_id_base,
   .name = "proxy_arp_add_del",
   .handler = vl_api_proxy_arp_add_del_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_proxy_arp_add_del_t_endian,
   .print = vl_api_proxy_arp_add_del_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_PROXY_ARP_ADD_DEL_REPLY + msg_id_base,
  .name = "proxy_arp_add_del_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_proxy_arp_add_del_reply_t_endian,
  .print = vl_api_proxy_arp_add_del_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_PROXY_ARP_DUMP + msg_id_base,
   .name = "proxy_arp_dump",
   .handler = vl_api_proxy_arp_dump_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_proxy_arp_dump_t_endian,
   .print = vl_api_proxy_arp_dump_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_PROXY_ARP_DETAILS + msg_id_base,
  .name = "proxy_arp_details",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_proxy_arp_details_t_endian,
  .print = vl_api_proxy_arp_details_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_PROXY_ARP_INTFC_ENABLE_DISABLE + msg_id_base,
   .name = "proxy_arp_intfc_enable_disable",
   .handler = vl_api_proxy_arp_intfc_enable_disable_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_proxy_arp_intfc_enable_disable_t_endian,
   .print = vl_api_proxy_arp_intfc_enable_disable_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_PROXY_ARP_INTFC_ENABLE_DISABLE_REPLY + msg_id_base,
  .name = "proxy_arp_intfc_enable_disable_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_proxy_arp_intfc_enable_disable_reply_t_endian,
  .print = vl_api_proxy_arp_intfc_enable_disable_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_PROXY_ARP_INTFC_DUMP + msg_id_base,
   .name = "proxy_arp_intfc_dump",
   .handler = vl_api_proxy_arp_intfc_dump_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_proxy_arp_intfc_dump_t_endian,
   .print = vl_api_proxy_arp_intfc_dump_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_PROXY_ARP_INTFC_DETAILS + msg_id_base,
  .name = "proxy_arp_intfc_details",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_proxy_arp_intfc_details_t_endian,
  .print = vl_api_proxy_arp_intfc_details_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   return msg_id_base;
}
