#define vl_endianfun		/* define message structures */
#include "flow.api.h"
#undef vl_endianfun

/* instantiate all the print functions we know about */
#define vl_print(handle, ...) vlib_cli_output (handle, __VA_ARGS__)
#define vl_printfun
#include "flow.api.h"
#undef vl_printfun

static u16
setup_message_id_table (void) {
   api_main_t *am = my_api_main;
   vl_msg_api_msg_config_t c;
   u16 msg_id_base = vl_msg_api_get_msg_ids ("flow_da63a2f4", VL_MSG_FLOW_LAST);
   vl_msg_api_add_msg_name_crc (am, "flow_add_f946ed84",
                                VL_API_FLOW_ADD + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "flow_add_reply_8587dc85",
                                VL_API_FLOW_ADD_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "flow_del_b6b9b02c",
                                VL_API_FLOW_DEL + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "flow_del_reply_e8d4e804",
                                VL_API_FLOW_DEL_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "flow_enable_2024be69",
                                VL_API_FLOW_ENABLE + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "flow_enable_reply_e8d4e804",
                                VL_API_FLOW_ENABLE_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "flow_disable_2024be69",
                                VL_API_FLOW_DISABLE + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "flow_disable_reply_e8d4e804",
                                VL_API_FLOW_DISABLE_REPLY + msg_id_base);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_FLOW_ADD + msg_id_base,
   .name = "flow_add",
   .handler = vl_api_flow_add_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_flow_add_t_endian,
   .print = vl_api_flow_add_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_FLOW_ADD_REPLY + msg_id_base,
  .name = "flow_add_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_flow_add_reply_t_endian,
  .print = vl_api_flow_add_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_FLOW_DEL + msg_id_base,
   .name = "flow_del",
   .handler = vl_api_flow_del_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_flow_del_t_endian,
   .print = vl_api_flow_del_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_FLOW_DEL_REPLY + msg_id_base,
  .name = "flow_del_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_flow_del_reply_t_endian,
  .print = vl_api_flow_del_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_FLOW_ENABLE + msg_id_base,
   .name = "flow_enable",
   .handler = vl_api_flow_enable_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_flow_enable_t_endian,
   .print = vl_api_flow_enable_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_FLOW_ENABLE_REPLY + msg_id_base,
  .name = "flow_enable_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_flow_enable_reply_t_endian,
  .print = vl_api_flow_enable_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_FLOW_DISABLE + msg_id_base,
   .name = "flow_disable",
   .handler = vl_api_flow_disable_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_flow_disable_t_endian,
   .print = vl_api_flow_disable_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_FLOW_DISABLE_REPLY + msg_id_base,
  .name = "flow_disable_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_flow_disable_reply_t_endian,
  .print = vl_api_flow_disable_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   return msg_id_base;
}
