#define vl_endianfun		/* define message structures */
#include "vxlan_gbp.api.h"
#undef vl_endianfun

/* instantiate all the print functions we know about */
#define vl_print(handle, ...) vlib_cli_output (handle, __VA_ARGS__)
#define vl_printfun
#include "vxlan_gbp.api.h"
#undef vl_printfun

static u16
setup_message_id_table (void) {
   api_main_t *am = my_api_main;
   vl_msg_api_msg_config_t c;
   u16 msg_id_base = vl_msg_api_get_msg_ids ("vxlan_gbp_d3bb73fe", VL_MSG_VXLAN_GBP_LAST);
   vl_msg_api_add_msg_name_crc (am, "vxlan_gbp_tunnel_add_del_6c743427",
                                VL_API_VXLAN_GBP_TUNNEL_ADD_DEL + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "vxlan_gbp_tunnel_add_del_reply_5383d31f",
                                VL_API_VXLAN_GBP_TUNNEL_ADD_DEL_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "vxlan_gbp_tunnel_dump_f9e6675e",
                                VL_API_VXLAN_GBP_TUNNEL_DUMP + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "vxlan_gbp_tunnel_details_66e94a89",
                                VL_API_VXLAN_GBP_TUNNEL_DETAILS + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "sw_interface_set_vxlan_gbp_bypass_65247409",
                                VL_API_SW_INTERFACE_SET_VXLAN_GBP_BYPASS + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "sw_interface_set_vxlan_gbp_bypass_reply_e8d4e804",
                                VL_API_SW_INTERFACE_SET_VXLAN_GBP_BYPASS_REPLY + msg_id_base);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_VXLAN_GBP_TUNNEL_ADD_DEL + msg_id_base,
   .name = "vxlan_gbp_tunnel_add_del",
   .handler = vl_api_vxlan_gbp_tunnel_add_del_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_vxlan_gbp_tunnel_add_del_t_endian,
   .print = vl_api_vxlan_gbp_tunnel_add_del_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_VXLAN_GBP_TUNNEL_ADD_DEL_REPLY + msg_id_base,
  .name = "vxlan_gbp_tunnel_add_del_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_vxlan_gbp_tunnel_add_del_reply_t_endian,
  .print = vl_api_vxlan_gbp_tunnel_add_del_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_VXLAN_GBP_TUNNEL_DUMP + msg_id_base,
   .name = "vxlan_gbp_tunnel_dump",
   .handler = vl_api_vxlan_gbp_tunnel_dump_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_vxlan_gbp_tunnel_dump_t_endian,
   .print = vl_api_vxlan_gbp_tunnel_dump_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_VXLAN_GBP_TUNNEL_DETAILS + msg_id_base,
  .name = "vxlan_gbp_tunnel_details",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_vxlan_gbp_tunnel_details_t_endian,
  .print = vl_api_vxlan_gbp_tunnel_details_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_SW_INTERFACE_SET_VXLAN_GBP_BYPASS + msg_id_base,
   .name = "sw_interface_set_vxlan_gbp_bypass",
   .handler = vl_api_sw_interface_set_vxlan_gbp_bypass_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_sw_interface_set_vxlan_gbp_bypass_t_endian,
   .print = vl_api_sw_interface_set_vxlan_gbp_bypass_t_print,
   .traced = 1,
   .replay = 1,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_SW_INTERFACE_SET_VXLAN_GBP_BYPASS_REPLY + msg_id_base,
  .name = "sw_interface_set_vxlan_gbp_bypass_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_sw_interface_set_vxlan_gbp_bypass_reply_t_endian,
  .print = vl_api_sw_interface_set_vxlan_gbp_bypass_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   return msg_id_base;
}
